Ticket #42848

Rulesave: extra.buildable not always saved when it should

Open Date: 2021-09-10 21:12 Last Update: 2021-09-18 10:38

Reporter:
Owner:
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Split from #42695 reported by ddeanbrown:

Rulesave saves extra.buildable when its value is FALSE, i.e., it considers TRUE to be the default value that needs no saving. In S3_0 and later, the default is not always FALSE, but depends on is_extra_caused_by_worker_action(). Value of TRUE should be saved (as non-default) when extra has no worker action related cause.

Ticket History (3/5 Histories)

2021-09-10 21:12 Updated by: cazfi
  • New Ticket "Rulesave: extra.buildable not always saved when it should" created
2021-09-11 13:29 Updated by: cazfi
  • Resolution Update from None to Accepted
2021-09-18 10:38 Updated by: cazfi
  • Status Update from Open to Closed
  • Owner Update from (None) to cazfi
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login